quoteCharges
The quoteCharges query in Bunny's GraphQL API, with its arguments, return type and an example request.
Scope required:
For a complete list of possible response fields see the QuoteChargeConnection type.
query quoteCharges ($after: String, $before: String, $first: Int, $last: Int, $filter: String, $sort: String, $viewId: ID, $format: String) {
quoteCharges (after: $after, before: $before, first: $first, last: $last, filter: $filter, sort: $sort, viewId: $viewId, format: $format) {
edges {
cursor
node {
amount
couponId
createdAt
creditValidityMonths
currencyId
currentPrice
currentQuantity
discount
endDate
evergreen
id
invoiceLineText
isRamp
isTrial
name
price
priceDecimals
priceListChargeId
prorationRate
quantity
quantityMax
quantityMin
quoteChangeId
startDate
subtotal
taxAmount
taxCode
tieredAveragePrice
topUpChargeId
topUpMaxPerMonth
topUpQuantity
topUpTarget
topUpThreshold
updatedAt
usageCredits
vatCode
}
}
totalCount
pageInfo {
startCursor
endCursor
hasNextPage
hasPreviousPage
}
}
}
ArgumentsLink to Arguments section
| Name | Type | Description |
|---|---|---|
| after | String | Returns the elements in the list that come after the specified cursor. |
| before | String | Returns the elements in the list that come before the specified cursor. |
| first | Int | Returns the first n elements from the list. |
| last | Int | Returns the last n elements from the list. |
| filter | String | |
| sort | String | |
| viewId | ID | |
| format | String |